Create Billpay Memo
curl --request POST \
--url https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date": "2023-12-25",
"amount": {
"amount": 123
},
"description": "<string>",
"spend_booking_items": [
{
"amount": {
"amount": 123
},
"description": "<string>",
"vendor_booking_attributes": {
"gl_account": {
"org_qid": "<string>",
"qid": "<string>",
"name": "<string>",
"lookup_id": "<string>",
"overrides": [
"<string>"
],
"is_leaf_account": true,
"booking_disabled_on": "2023-12-25",
"number": "<string>"
},
"vendor": {
"qid": "<string>",
"name": "<string>"
},
"department": {
"qid": "<string>",
"org_qid": "<string>",
"source_qid": "<string>",
"name": "<string>",
"parent_department_qid": "<string>",
"group_name": "<string>"
}
},
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>"
}
]
},
"provenance": {}
}
],
"reason": "<string>",
"reason_type": "<string>"
}
'import requests
url = "https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos"
payload = {
"effective_date": "2023-12-25",
"amount": { "amount": 123 },
"description": "<string>",
"spend_booking_items": [
{
"amount": { "amount": 123 },
"description": "<string>",
"vendor_booking_attributes": {
"gl_account": {
"org_qid": "<string>",
"qid": "<string>",
"name": "<string>",
"lookup_id": "<string>",
"overrides": ["<string>"],
"is_leaf_account": True,
"booking_disabled_on": "2023-12-25",
"number": "<string>"
},
"vendor": {
"qid": "<string>",
"name": "<string>"
},
"department": {
"qid": "<string>",
"org_qid": "<string>",
"source_qid": "<string>",
"name": "<string>",
"parent_department_qid": "<string>",
"group_name": "<string>"
}
},
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [{ "qid": "<string>" }]
},
"provenance": {}
}
],
"reason": "<string>",
"reason_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
effective_date: '2023-12-25',
amount: {amount: 123},
description: '<string>',
spend_booking_items: [
{
amount: {amount: 123},
description: '<string>',
vendor_booking_attributes: {
gl_account: {
org_qid: '<string>',
qid: '<string>',
name: '<string>',
lookup_id: '<string>',
overrides: ['<string>'],
is_leaf_account: true,
booking_disabled_on: '2023-12-25',
number: '<string>'
},
vendor: {qid: '<string>', name: '<string>'},
department: {
qid: '<string>',
org_qid: '<string>',
source_qid: '<string>',
name: '<string>',
parent_department_qid: '<string>',
group_name: '<string>'
}
},
recognition: {
num_amortization_months: 123,
start_date: '2023-12-25',
vendor_recognition_type: 'PREPAID_SPEC',
effective_day_of_the_month: 'last'
},
match: {type: 'source_match', targets: [{qid: '<string>'}]},
provenance: {}
}
],
reason: '<string>',
reason_type: '<string>'
})
};
fetch('https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_date' => '2023-12-25',
'amount' => [
'amount' => 123
],
'description' => '<string>',
'spend_booking_items' => [
[
'amount' => [
'amount' => 123
],
'description' => '<string>',
'vendor_booking_attributes' => [
'gl_account' => [
'org_qid' => '<string>',
'qid' => '<string>',
'name' => '<string>',
'lookup_id' => '<string>',
'overrides' => [
'<string>'
],
'is_leaf_account' => true,
'booking_disabled_on' => '2023-12-25',
'number' => '<string>'
],
'vendor' => [
'qid' => '<string>',
'name' => '<string>'
],
'department' => [
'qid' => '<string>',
'org_qid' => '<string>',
'source_qid' => '<string>',
'name' => '<string>',
'parent_department_qid' => '<string>',
'group_name' => '<string>'
]
],
'recognition' => [
'num_amortization_months' => 123,
'start_date' => '2023-12-25',
'vendor_recognition_type' => 'PREPAID_SPEC',
'effective_day_of_the_month' => 'last'
],
'match' => [
'type' => 'source_match',
'targets' => [
[
'qid' => '<string>'
]
]
],
'provenance' => [
]
]
],
'reason' => '<string>',
'reason_type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos"
payload := strings.NewReader("{\n \"effective_date\": \"2023-12-25\",\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"spend_booking_items\": [\n {\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"vendor_booking_attributes\": {\n \"gl_account\": {\n \"org_qid\": \"<string>\",\n \"qid\": \"<string>\",\n \"name\": \"<string>\",\n \"lookup_id\": \"<string>\",\n \"overrides\": [\n \"<string>\"\n ],\n \"is_leaf_account\": true,\n \"booking_disabled_on\": \"2023-12-25\",\n \"number\": \"<string>\"\n },\n \"vendor\": {\n \"qid\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"department\": {\n \"qid\": \"<string>\",\n \"org_qid\": \"<string>\",\n \"source_qid\": \"<string>\",\n \"name\": \"<string>\",\n \"parent_department_qid\": \"<string>\",\n \"group_name\": \"<string>\"\n }\n },\n \"recognition\": {\n \"num_amortization_months\": 123,\n \"start_date\": \"2023-12-25\",\n \"vendor_recognition_type\": \"PREPAID_SPEC\",\n \"effective_day_of_the_month\": \"last\"\n },\n \"match\": {\n \"type\": \"source_match\",\n \"targets\": [\n {\n \"qid\": \"<string>\"\n }\n ]\n },\n \"provenance\": {}\n }\n ],\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"effective_date\": \"2023-12-25\",\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"spend_booking_items\": [\n {\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"vendor_booking_attributes\": {\n \"gl_account\": {\n \"org_qid\": \"<string>\",\n \"qid\": \"<string>\",\n \"name\": \"<string>\",\n \"lookup_id\": \"<string>\",\n \"overrides\": [\n \"<string>\"\n ],\n \"is_leaf_account\": true,\n \"booking_disabled_on\": \"2023-12-25\",\n \"number\": \"<string>\"\n },\n \"vendor\": {\n \"qid\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"department\": {\n \"qid\": \"<string>\",\n \"org_qid\": \"<string>\",\n \"source_qid\": \"<string>\",\n \"name\": \"<string>\",\n \"parent_department_qid\": \"<string>\",\n \"group_name\": \"<string>\"\n }\n },\n \"recognition\": {\n \"num_amortization_months\": 123,\n \"start_date\": \"2023-12-25\",\n \"vendor_recognition_type\": \"PREPAID_SPEC\",\n \"effective_day_of_the_month\": \"last\"\n },\n \"match\": {\n \"type\": \"source_match\",\n \"targets\": [\n {\n \"qid\": \"<string>\"\n }\n ]\n },\n \"provenance\": {}\n }\n ],\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"effective_date\": \"2023-12-25\",\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"spend_booking_items\": [\n {\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"vendor_booking_attributes\": {\n \"gl_account\": {\n \"org_qid\": \"<string>\",\n \"qid\": \"<string>\",\n \"name\": \"<string>\",\n \"lookup_id\": \"<string>\",\n \"overrides\": [\n \"<string>\"\n ],\n \"is_leaf_account\": true,\n \"booking_disabled_on\": \"2023-12-25\",\n \"number\": \"<string>\"\n },\n \"vendor\": {\n \"qid\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"department\": {\n \"qid\": \"<string>\",\n \"org_qid\": \"<string>\",\n \"source_qid\": \"<string>\",\n \"name\": \"<string>\",\n \"parent_department_qid\": \"<string>\",\n \"group_name\": \"<string>\"\n }\n },\n \"recognition\": {\n \"num_amortization_months\": 123,\n \"start_date\": \"2023-12-25\",\n \"vendor_recognition_type\": \"PREPAID_SPEC\",\n \"effective_day_of_the_month\": \"last\"\n },\n \"match\": {\n \"type\": \"source_match\",\n \"targets\": [\n {\n \"qid\": \"<string>\"\n }\n ]\n },\n \"provenance\": {}\n }\n ],\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"event_qid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}billpays
Create Billpay Memo
POST
/
api
/
alpha
/
billpays
/
{billpay_qid}
/
memos
Create Billpay Memo
curl --request POST \
--url https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date": "2023-12-25",
"amount": {
"amount": 123
},
"description": "<string>",
"spend_booking_items": [
{
"amount": {
"amount": 123
},
"description": "<string>",
"vendor_booking_attributes": {
"gl_account": {
"org_qid": "<string>",
"qid": "<string>",
"name": "<string>",
"lookup_id": "<string>",
"overrides": [
"<string>"
],
"is_leaf_account": true,
"booking_disabled_on": "2023-12-25",
"number": "<string>"
},
"vendor": {
"qid": "<string>",
"name": "<string>"
},
"department": {
"qid": "<string>",
"org_qid": "<string>",
"source_qid": "<string>",
"name": "<string>",
"parent_department_qid": "<string>",
"group_name": "<string>"
}
},
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>"
}
]
},
"provenance": {}
}
],
"reason": "<string>",
"reason_type": "<string>"
}
'import requests
url = "https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos"
payload = {
"effective_date": "2023-12-25",
"amount": { "amount": 123 },
"description": "<string>",
"spend_booking_items": [
{
"amount": { "amount": 123 },
"description": "<string>",
"vendor_booking_attributes": {
"gl_account": {
"org_qid": "<string>",
"qid": "<string>",
"name": "<string>",
"lookup_id": "<string>",
"overrides": ["<string>"],
"is_leaf_account": True,
"booking_disabled_on": "2023-12-25",
"number": "<string>"
},
"vendor": {
"qid": "<string>",
"name": "<string>"
},
"department": {
"qid": "<string>",
"org_qid": "<string>",
"source_qid": "<string>",
"name": "<string>",
"parent_department_qid": "<string>",
"group_name": "<string>"
}
},
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [{ "qid": "<string>" }]
},
"provenance": {}
}
],
"reason": "<string>",
"reason_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
effective_date: '2023-12-25',
amount: {amount: 123},
description: '<string>',
spend_booking_items: [
{
amount: {amount: 123},
description: '<string>',
vendor_booking_attributes: {
gl_account: {
org_qid: '<string>',
qid: '<string>',
name: '<string>',
lookup_id: '<string>',
overrides: ['<string>'],
is_leaf_account: true,
booking_disabled_on: '2023-12-25',
number: '<string>'
},
vendor: {qid: '<string>', name: '<string>'},
department: {
qid: '<string>',
org_qid: '<string>',
source_qid: '<string>',
name: '<string>',
parent_department_qid: '<string>',
group_name: '<string>'
}
},
recognition: {
num_amortization_months: 123,
start_date: '2023-12-25',
vendor_recognition_type: 'PREPAID_SPEC',
effective_day_of_the_month: 'last'
},
match: {type: 'source_match', targets: [{qid: '<string>'}]},
provenance: {}
}
],
reason: '<string>',
reason_type: '<string>'
})
};
fetch('https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_date' => '2023-12-25',
'amount' => [
'amount' => 123
],
'description' => '<string>',
'spend_booking_items' => [
[
'amount' => [
'amount' => 123
],
'description' => '<string>',
'vendor_booking_attributes' => [
'gl_account' => [
'org_qid' => '<string>',
'qid' => '<string>',
'name' => '<string>',
'lookup_id' => '<string>',
'overrides' => [
'<string>'
],
'is_leaf_account' => true,
'booking_disabled_on' => '2023-12-25',
'number' => '<string>'
],
'vendor' => [
'qid' => '<string>',
'name' => '<string>'
],
'department' => [
'qid' => '<string>',
'org_qid' => '<string>',
'source_qid' => '<string>',
'name' => '<string>',
'parent_department_qid' => '<string>',
'group_name' => '<string>'
]
],
'recognition' => [
'num_amortization_months' => 123,
'start_date' => '2023-12-25',
'vendor_recognition_type' => 'PREPAID_SPEC',
'effective_day_of_the_month' => 'last'
],
'match' => [
'type' => 'source_match',
'targets' => [
[
'qid' => '<string>'
]
]
],
'provenance' => [
]
]
],
'reason' => '<string>',
'reason_type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos"
payload := strings.NewReader("{\n \"effective_date\": \"2023-12-25\",\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"spend_booking_items\": [\n {\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"vendor_booking_attributes\": {\n \"gl_account\": {\n \"org_qid\": \"<string>\",\n \"qid\": \"<string>\",\n \"name\": \"<string>\",\n \"lookup_id\": \"<string>\",\n \"overrides\": [\n \"<string>\"\n ],\n \"is_leaf_account\": true,\n \"booking_disabled_on\": \"2023-12-25\",\n \"number\": \"<string>\"\n },\n \"vendor\": {\n \"qid\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"department\": {\n \"qid\": \"<string>\",\n \"org_qid\": \"<string>\",\n \"source_qid\": \"<string>\",\n \"name\": \"<string>\",\n \"parent_department_qid\": \"<string>\",\n \"group_name\": \"<string>\"\n }\n },\n \"recognition\": {\n \"num_amortization_months\": 123,\n \"start_date\": \"2023-12-25\",\n \"vendor_recognition_type\": \"PREPAID_SPEC\",\n \"effective_day_of_the_month\": \"last\"\n },\n \"match\": {\n \"type\": \"source_match\",\n \"targets\": [\n {\n \"qid\": \"<string>\"\n }\n ]\n },\n \"provenance\": {}\n }\n ],\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"effective_date\": \"2023-12-25\",\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"spend_booking_items\": [\n {\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"vendor_booking_attributes\": {\n \"gl_account\": {\n \"org_qid\": \"<string>\",\n \"qid\": \"<string>\",\n \"name\": \"<string>\",\n \"lookup_id\": \"<string>\",\n \"overrides\": [\n \"<string>\"\n ],\n \"is_leaf_account\": true,\n \"booking_disabled_on\": \"2023-12-25\",\n \"number\": \"<string>\"\n },\n \"vendor\": {\n \"qid\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"department\": {\n \"qid\": \"<string>\",\n \"org_qid\": \"<string>\",\n \"source_qid\": \"<string>\",\n \"name\": \"<string>\",\n \"parent_department_qid\": \"<string>\",\n \"group_name\": \"<string>\"\n }\n },\n \"recognition\": {\n \"num_amortization_months\": 123,\n \"start_date\": \"2023-12-25\",\n \"vendor_recognition_type\": \"PREPAID_SPEC\",\n \"effective_day_of_the_month\": \"last\"\n },\n \"match\": {\n \"type\": \"source_match\",\n \"targets\": [\n {\n \"qid\": \"<string>\"\n }\n ]\n },\n \"provenance\": {}\n }\n ],\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/api/alpha/billpays/{billpay_qid}/memos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"effective_date\": \"2023-12-25\",\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"spend_booking_items\": [\n {\n \"amount\": {\n \"amount\": 123\n },\n \"description\": \"<string>\",\n \"vendor_booking_attributes\": {\n \"gl_account\": {\n \"org_qid\": \"<string>\",\n \"qid\": \"<string>\",\n \"name\": \"<string>\",\n \"lookup_id\": \"<string>\",\n \"overrides\": [\n \"<string>\"\n ],\n \"is_leaf_account\": true,\n \"booking_disabled_on\": \"2023-12-25\",\n \"number\": \"<string>\"\n },\n \"vendor\": {\n \"qid\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"department\": {\n \"qid\": \"<string>\",\n \"org_qid\": \"<string>\",\n \"source_qid\": \"<string>\",\n \"name\": \"<string>\",\n \"parent_department_qid\": \"<string>\",\n \"group_name\": \"<string>\"\n }\n },\n \"recognition\": {\n \"num_amortization_months\": 123,\n \"start_date\": \"2023-12-25\",\n \"vendor_recognition_type\": \"PREPAID_SPEC\",\n \"effective_day_of_the_month\": \"last\"\n },\n \"match\": {\n \"type\": \"source_match\",\n \"targets\": [\n {\n \"qid\": \"<string>\"\n }\n ]\n },\n \"provenance\": {}\n }\n ],\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"event_qid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Quanta Services API scoped bearer token. Supported only on Services API routes.
Path Parameters
Body
application/json
Immutable monetary value with currency.
Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Response
Successful Response